Bug 463664 - [LTC 6.0 FEAT] 201429:Update OFED to version 1.5 for Infiniband enablement -- Kernel packages
[LTC 6.0 FEAT] 201429:Update OFED to version 1.5 for Infiniband enablement --...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All All
high Severity high
: alpha
: 6.0
Assigned To: Doug Ledford
Gurhan Ozen
: FutureFeature
Depends On:
Blocks: 356741 554559 555224 555228
  Show dependency treegraph
 
Reported: 2008-09-24 01:41 EDT by IBM Bug Proxy
Modified: 2013-11-03 20:37 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:47:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 01:41:04 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:12 EDT
1. Feature Overview:
Feature Id:	[201429]
a. Name of Feature:	Big inclusion of OFED release (version 1.4 or latest) for Infiniband enablement
-- Kernel packages
b. Feature Description
This inclusion: Infiniband kernel driver/stack elements 1. Device driver: ehca, mthca, ipath, mlx4
2. Infiniband kernel stack elements: IPoIB (UD & CM mode), RDS,

2. Feature Details:
Sponsor:	Linux Systems Tech
Architectures:
x86
ppc64

Arch Specificity: Both
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Networking
Request Type:	Driver - Feature from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	

3. Business Case
IBM platforms enablement, IBM middle ware (HPC, GPFS, DB2 etc.) enablement, IBM applications
enablement for Infiniband.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mike Wortman, wortman@us.ibm.com, 512-838-8582

Technical contact(s):
Shirley Ma, xma@us.ibm.com

IBM Manager:
Larry Kessler, lkessler@us.ibm.com
Comment 1 IBM Bug Proxy 2009-03-04 14:20:28 EST
We really want at a minimum OFED 1.4.1 or 1.5 if that comes out in time for RHEL6.

Thanks
Comment 2 John Jarvis 2010-01-07 12:42:53 EST
IBM would like to request OFED 1.5 for RHEL 6.0 (upstream as of Dec. 2009).
Comment 3 John Jarvis 2010-01-19 11:04:02 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux major release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux major release.   
While it is a goal to include this enhancement in the next major release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next major release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 4 Doug Ledford 2010-01-28 12:18:02 EST
As per the phone call with IBM, requests for OFED updates no longer make sense in the context of Enterprise Linux 6.  For this release we are no longer taking the OFED packages, but instead are taking individual upstream package updates and kernel updates from the upstream Linus kernel.  As of right now, we have the 2.6.32 upstream Linus kernel for the kernel support, and we have the latest versions of the various upstream packages that make up OFED.  IBM should investigate the package list as it stands in our most recent nightly builds and raise individual bugs for any packages that are not current enough to meet their feature requests.

As far as this particular bug is concerned, it's against the kernel and we are planning on shipping the 2.6.32 kernel Infiniband stack, so moving this particular bug to ON_QA.
Comment 5 IBM Bug Proxy 2010-05-10 16:10:39 EDT
------- Comment From halves@linux.vnet.ibm.com 2010-05-10 16:02 EDT-------
Verified on RHEL6 Snap2:

- ehca: package ppc64 found
- mthca: package ppc64 found
- ipath: not found
- mlx4: package ppc64 found
- ipoib: ok
- rds: I did no found RDS kernel module, I only found rds-tools.

Regards,

Higor
Comment 6 IBM Bug Proxy 2010-05-14 01:20:48 EDT
------- Comment From pradeep@us.ibm.com 2010-05-14 01:17 EDT-------
(In reply to comment #9)
> Verified on RHEL6 Snap2:
>
> - ehca: package ppc64 found
> - mthca: package ppc64 found
> - ipath: not found
Higor, It is called qib now. It may not be available on ppc64 however.
Comment 7 Gurhan Ozen 2010-07-14 14:45:28 EDT
(In reply to comment #5)
> ------- Comment From halves@linux.vnet.ibm.com 2010-05-10 16:02 EDT-------
> Verified on RHEL6 Snap2:
> 
> - ehca: package ppc64 found
> - mthca: package ppc64 found
> - ipath: not found
> - mlx4: package ppc64 found
> - ipoib: ok
> - rds: I did no found RDS kernel module, I only found rds-tools.
> 
> Regards,
> 
> Higor    

rds modules exist in the kernel modules, just look for them in 
/lib/modules/$(uname -r)/kernel/net/rds/

After loading them, you can use the utilities in rds-tools package to check them.

ipath is only available for x86_64.
Comment 8 releng-rhel@redhat.com 2010-11-11 10:47:05 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.